Skip to main content
POST
/
v2
/
workbenchResources
/
create
Creates a new workbench resource
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/workbenchResources/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "number": "<string>",
  "name": "<string>",
  "description": "<string>",
  "workbenchResourceTypeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "hostName": "<string>",
  "warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "reservationMode": 0,
  "autoShowProcessParameterValuesInProduction": true,
  "expiredComponentsUsage": 0,
  "replenishmentCreationStockReservationMode": 0
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

api-version
string
x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Creates a new workbench resource - Request

number
string

This workbench resource's unique number.

name
string

This workbench resource's name.

description
string

This workbench resource's description.

workbenchResourceTypeId
string<uuid>

The ID of the resource type assigned to this workbench resource.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

hostName
string

The name of the host assigned to this workbench resource.

warehouseId
string<uuid>

The ID of the warehouse assigned to this workbench resource.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

reservationMode
enum<integer>

The reservation mode of this workbench resource.

Available options:
0,
1,
2
autoShowProcessParameterValuesInProduction
boolean

Specifies whether the dialog for displaying and/or capturing process parameter values in the context of production should be displayed automatically when process parameter values can/must be displayed or captured.

expiredComponentsUsage
enum<integer>

Specifies whether and to what extent the use of expired components is permitted.

Available options:
0,
1
replenishmentCreationStockReservationMode
enum<integer>

Specifies wthether and how available stock should be reserved when creating a replenishment order.

Available options:
0,
1,
2

Response

201 - application/json

Successfully created a workbench resource